goalFindChisel.mSteps = 
{
	{ action = "click", object = objectPoiGloveBoxClosed, state = kActive },
	{ action = "click", object = objectPoiBoathouseClosed, state = kActive },
	{ action = "click", object = objectPoiDoorLock },
	{ action = "solve", layout = layoutBoathouseLock },
	{ action = "click", object = objectHoChisel },
}

goalFindChisel.readyToStart = false
-- ----------------------------------------------------------------------------
function goalFindChisel:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalFindChisel:onLayoutShow(layout)
	
	if (layout == layoutCar2Glovebox and (not objectHoChisel:isActive())) then
		self.readyToStart = true
		
	end
	
	if (layout == layoutLakesideBoathouseDoor and objectHoChisel:isActive()) then
		think("MESSAGE_INSIDE_BOATHOUSE")

	end
	
end
-- ----------------------------------------------------------------------------
function goalFindChisel:onStarted()

	objectHoChisel:ss(kActive)
	objectPoiDoorLock:ss(kActive)

end
-- ----------------------------------------------------------------------------
function goalFindChisel:onClickHO(layout, object, props, x, y)
	
	if (object == objectHoChisel) then
		self:achieved()
		
	end
	
end